# Reference Documentation

## Structs

-   [ApolloCodegenConfiguration](structs/ApolloCodegenConfiguration/)
-   [ApolloCodegenConfiguration.ExperimentalFeatures](structs/ApolloCodegenConfiguration.ExperimentalFeatures/)
-   [ApolloCodegenConfiguration.FileInput](structs/ApolloCodegenConfiguration.FileInput/)
-   [ApolloCodegenConfiguration.FileOutput](structs/ApolloCodegenConfiguration.FileOutput/)
-   [ApolloCodegenConfiguration.OutputOptions](structs/ApolloCodegenConfiguration.OutputOptions/)
-   [ApolloCodegenConfiguration.SchemaTypesFileOutput](structs/ApolloCodegenConfiguration.SchemaTypesFileOutput/)
-   [ApolloSchemaDownloadConfiguration](structs/ApolloSchemaDownloadConfiguration/)
-   [ApolloSchemaDownloadConfiguration.HTTPHeader](structs/ApolloSchemaDownloadConfiguration.HTTPHeader/)
-   [ApolloSchemaDownloader](structs/ApolloSchemaDownloader/)
-   [CodegenLogger](structs/CodegenLogger/)
-   [DownloadMethod.ApolloRegistrySettings](structs/DownloadMethod.ApolloRegistrySettings/)
-   [FileFinder](structs/FileFinder/)
-   [Glob](structs/Glob/)
-   [GraphQLSourceLocation](structs/GraphQLSourceLocation/)

## Classes

-   [ASTNode](classes/ASTNode/)
-   [ApolloCodegen](classes/ApolloCodegen/)
-   [CompilationResult](classes/CompilationResult/)
-   [CompilationResult.Argument](classes/CompilationResult.Argument/)
-   [CompilationResult.Directive](classes/CompilationResult.Directive/)
-   [CompilationResult.Field](classes/CompilationResult.Field/)
-   [CompilationResult.FragmentDefinition](classes/CompilationResult.FragmentDefinition/)
-   [CompilationResult.FragmentSpread](classes/CompilationResult.FragmentSpread/)
-   [CompilationResult.InlineFragment](classes/CompilationResult.InlineFragment/)
-   [CompilationResult.OperationDefinition](classes/CompilationResult.OperationDefinition/)
-   [CompilationResult.SelectionSet](classes/CompilationResult.SelectionSet/)
-   [CompilationResult.VariableDefinition](classes/CompilationResult.VariableDefinition/)
-   [GraphQLAbstractType](classes/GraphQLAbstractType/)
-   [GraphQLCompositeType](classes/GraphQLCompositeType/)
-   [GraphQLDocument](classes/GraphQLDocument/)
-   [GraphQLEnumType](classes/GraphQLEnumType/)
-   [GraphQLEnumValue](classes/GraphQLEnumValue/)
-   [GraphQLError](classes/GraphQLError/)
-   [GraphQLField](classes/GraphQLField/)
-   [GraphQLFieldArgument](classes/GraphQLFieldArgument/)
-   [GraphQLInputField](classes/GraphQLInputField/)
-   [GraphQLInputObjectType](classes/GraphQLInputObjectType/)
-   [GraphQLInterfaceType](classes/GraphQLInterfaceType/)
-   [GraphQLJSFrontend](classes/GraphQLJSFrontend/)
-   [GraphQLNamedType](classes/GraphQLNamedType/)
-   [GraphQLObjectType](classes/GraphQLObjectType/)
-   [GraphQLScalarType](classes/GraphQLScalarType/)
-   [GraphQLSchema](classes/GraphQLSchema/)
-   [GraphQLSchemaValidationError](classes/GraphQLSchemaValidationError/)
-   [GraphQLSource](classes/GraphQLSource/)
-   [GraphQLUnionType](classes/GraphQLUnionType/)
-   [JavaScriptError](classes/JavaScriptError/)
-   [JavaScriptObject](classes/JavaScriptObject/)
-   [JavaScriptWrapper](classes/JavaScriptWrapper/)
-   [Schema.ReferencedTypes](classes/Schema.ReferencedTypes/)

## Enums

-   [ApolloCodegen.Error](enums/ApolloCodegen.Error/)
-   [ApolloCodegenConfiguration.APQConfig](enums/ApolloCodegenConfiguration.APQConfig/)
-   [ApolloCodegenConfiguration.Composition](enums/ApolloCodegenConfiguration.Composition/)
-   [ApolloCodegenConfiguration.Error](enums/ApolloCodegenConfiguration.Error/)
-   [ApolloCodegenConfiguration.OperationsFileOutput](enums/ApolloCodegenConfiguration.OperationsFileOutput/)
-   [ApolloCodegenConfiguration.PathType](enums/ApolloCodegenConfiguration.PathType/)
-   [ApolloCodegenConfiguration.QueryStringLiteralFormat](enums/ApolloCodegenConfiguration.QueryStringLiteralFormat/)
-   [ApolloCodegenConfiguration.TestMockFileOutput](enums/ApolloCodegenConfiguration.TestMockFileOutput/)
-   [ApolloSchemaDownloadConfiguration.DownloadMethod](enums/ApolloSchemaDownloadConfiguration.DownloadMethod/)
-   [ApolloSchemaDownloader.SchemaDownloadError](enums/ApolloSchemaDownloader.SchemaDownloadError/)
-   [ApolloURLError](enums/ApolloURLError/)
-   [CodegenLogger.LogLevel](enums/CodegenLogger.LogLevel/)
-   [CompilationResult.InclusionCondition](enums/CompilationResult.InclusionCondition/)
-   [CompilationResult.OperationType](enums/CompilationResult.OperationType/)
-   [CompilationResult.Selection](enums/CompilationResult.Selection/)
-   [DownloadMethod.HTTPMethod](enums/DownloadMethod.HTTPMethod/)
-   [DownloadMethod.OutputFormat](enums/DownloadMethod.OutputFormat/)
-   [FileManagerPathError](enums/FileManagerPathError/)
-   [Glob.MatchError](enums/Glob.MatchError/)
-   [GraphQLType](enums/GraphQLType/)
-   [InflectionRule](enums/InflectionRule/)
-   [JavaScriptBridge.Error](enums/JavaScriptBridge.Error/)
-   [SchemaTypesFileOutput.ModuleType](enums/SchemaTypesFileOutput.ModuleType/)

## Extensions

-   [ApolloCodegenConfiguration](extensions/ApolloCodegenConfiguration/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [ApolloSchemaDownloadConfiguration](extensions/ApolloSchemaDownloadConfiguration/)
-   [FileHandle](extensions/FileHandle/)
-   [GraphQLType](extensions/GraphQLType/)
-   [JavaScriptError](extensions/JavaScriptError/)
-   [JavaScriptObject](extensions/JavaScriptObject/)

## Typealiases

-   [FileAttributes](typealiases/FileAttributes/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)